List Detailed Technology Evaluate Data

GET /pcas/v3/policy/section/control/technology/evaluation/

With this API, you can list evaluation fields for technology associated with a specified control within a policy section.

Input ParametersInput Parameters

Parameter

Required/Optional

Data Type

Description

policyId={value} Required Integer The ID of the policy from which you want to retrieve evaluation fields for technology associated with a specified control within a policy section.
sectionNumber={value} Required Integer Enter the section number for which you want to obtain technology evaluation fields.
controlId={value} Required Integer Enter the ID of the control within policy section for which you want to retrieve technology evaluation fields.
technologyId={value} Required Integer Enter a valid technology ID for which you want to retrieve technology evaluation fields.
showUpdatedControlDefinition={true|false}
Optional Boolean Specify 'true' to display the  updated control definition details. Specify 'false' to display the controlDefinitionUpdateAvailable flag, indicating updates are available.

Sample - List detailed technology evaluate data for given technologyId, control and section of the policySample - List detailed technology evaluate data for given technologyId, control and section of the policy

API Request

curl -X 'GET' \
'<qualys_base_url>/pcas/v3/policy/section/control/technology/evaluation?policyId=5656121&sectionNumber=1&controlId=1048&technologyId=54' \ -H
'accept: application/json' \ -H 'Authorization: Bearer

XML Output

{
  "controlId": 1071,
  "sectionNumber": 1,
  "controlNumber": 1,
  "statement": "Status of the 'Minimum Password Length' setting",
  "criticality": "URGENT",
  "isControlDisable": false,
  "technologies": [
    {
      "technologyId": 1,
      "technologyName": "Windows XP desktop",
      "evaluate": {
        "dp": {
          "k": "win.auth.passwords.minlen",
          "v": [
            "0"
          ],
          "l": 0,
          "description": "The following Integer value <B>X</B> indicates the current status of the <B>Minimum Password Length (min_pass_len)</B> setting for local accounts.",
          "op": "ge",
          "fv": [
            {
              "value": "161803399999999",
              "set": "0",
              "description": "Attribute not found"
            }
          ]
        }
      },
      "remediation": "To establish the recommended configuration via GP, set the following UI path to 14 or more character(s):\n\n\tComputer Configuration\\Policies\\Windows Settings\\Security Settings\\Account Policies\\Password Policy\\Minimum password length",
      "rationale": "Among the several characteristics that make 'user identification' via password a secure and workable solution is setting a 'minimum password length' requirement.  Each character that is added to the password length squares the difficulty of breaking the password via 'brute force,' which attempts using every combination possible within the password symbol set-space, in order to discover a user's password.  While no 'minimum length' can be guaranteed secure, eight (8) is commonly considered to be the minimum for most application access, along with requiring other password security factors, such as increasing the size of the symbol set-space by requiring mixed-cases, along with other forms of password variability creation, increases the difficulty of breaking any password by brute-force attack."
    }
  ]
}

Sample - ShowUpdatedControlDefinition parameter is set to trueSample - ShowUpdatedControlDefinition parameter is set to true

API Request

curl -X 'GET' '<qualys_base_url>/pcas/v3/policy/section/control/technology/evaluation?policyId=<PolicyID>&sectionNumber=2&controlId=1113&technologyId=45&showUpdatedControlDefinition=true' -H 'accept: application/json' -H 'Authorization: Bearer <Bearer Token>'

JSON Response

{
  "technologyId": 45,
  "technologyName": "Red Hat Enterprise Linux 6.x",
  "evaluate": {
    "dp": {
      "k": "rh06.secman.general.service-autofs",
      "v": [
        "3",
        "5"
      ],
      "l": 0,
      "description": "The following List Integer value(s) <B>X</B> indicate the current states of the <B>autofs</B> service on the host.",
      "op": "xeq",
      "cd": "is contained in",
      "fv": [
        {
          "value": "161803399999999",
          "set": "1",
          "description": "Service disabled"
        },
        {
          "value": "314159265358979",
          "set": "1",
          "description": "Service not found"
        },
        {
          "value": "314159265358980",
          "set": "1",
          "description": "Enabled"
        }
      ]
    }
  },
  "remediation": "Run the following command to configure 'autofs' service as per business needs and organization's security policies.\n#Check the status\n$ chkconfig --list autofs\n# Use the following command to enable/disable the service\n$chkconfig [service name ] [off|on]\n# Example\n$ chkconfig autofs on",
  "rationale": "The 'autofs' (NFS automount daemon) allows non-root users to connect to the Network File System-based information on demand, as if the HDD were mounted locally.  As NFS has weak authentication, this may cause a reduced level of protection for sensitive data and it also suffers from the potential of a DoS condition, due to forgotten 'record-locking,' this capability should be disabled/restricted as appropriate to the needs of the business.",
}

Sample - controlDefinitionUpdateAvailable parameter is set to falseSample - controlDefinitionUpdateAvailable parameter is set to false

API Request

curl -X 'GET' '<qualys_base_url>/pcas/v3/policy/section/control/technology/evaluation?policyId=<PolicyID>&sectionNumber=2&controlId=1113&technologyId=45&showUpdatedControlDefinition=false' -H 'accept: application/json' -H 'Authorization: Bearer <Bearer Token>'

JSON Response

{
  "technologyId": 45,
  "technologyName": "Red Hat Enterprise Linux 6.x",
  "evaluate": {
    "dp": {
      "k": "rh06.secman.general.service-autofs",
      "v": [
        "3",
        "5"
      ],
      "l": 0,
      "description": "The following List Integer value(s) <B>X</B> indicate the current states of the <B>autofs</B> service on the host.",
      "op": "xeq",
      "cd": "is contained in",
      "fv": [
        {
          "value": "161803399999999",
          "set": "1",
          "description": "Service disabled"
        },
        {
          "value": "314159265358979",
          "set": "1",
          "description": "Service not found"
        }
      ]
    }
  },
  "remediation": "Run the following command to configure 'autofs' service as per business needs and organization's security policies.\n#Check the status\n$ chkconfig --list autofs\n# Use the following command to enable/disable the service\n$chkconfig [service name ] [off|on]\n# Example\n$ chkconfig autofs on",
  "rationale": "The 'autofs' (NFS automount daemon) allows non-root users to connect to the Network File System-based information on demand, as if the HDD were mounted locally.  As NFS has weak authentication, this may cause a reduced level of protection for sensitive data and it also suffers from the potential of a DoS condition, due to forgotten 'record-locking,' this capability should be disabled/restricted as appropriate to the needs of the business.",
  "controlDefinitionUpdateAvailable": true
}

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.